commit a0bf919c13585a59c247529be84a70446e64c80c
Author: jklowden <jklowden>
Date:   Sat Feb 28 17:38:43 2009 +0000

    more things to fix

diff --git a/BUGS b/BUGS
index 0468242..71bc340 100644
--- a/BUGS
+++ b/BUGS
@@ -11,5 +11,9 @@ Needs Fixing
 3. dbwritetext() and friends do not work under TDS 7.0
 4. There is a bug with the order of returns from ct_results() such that rows
    affected doesn't show up in sqsh.
+5. ct-lib placeholders do not work with TDS 7.0+.  To fix 
+   this requires either an SQL parser or API modification, 
+   because the library has to determine the SQL datatype 
+   of the placeholder variable.  
 
 
diff --git a/TODO b/TODO
index 984895a..b18f209 100644
--- a/TODO
+++ b/TODO
@@ -8,12 +8,17 @@ anyone else can post a patch to SourceForge.
 In this way we can communicate with each
 other about the project's priorities and needs.  
 
-To Do List	$Id: TODO,v 1.171 2008/07/17 11:52:34 freddy77 Exp $
+To Do List	$Id: TODO,v 1.172 2009/02/28 17:38:43 jklowden Exp $
 ------------
 
 Bug? ML 2007-05-30 "dbsqlexec() never returns" 
 	tds_send_cancel in tds_goodwrite (wrong??)
-
+BUG: ML 2009-02-10 "Problem with Set TEXT field to NULL"
+	libtds seems to misinterpret NULL TEXT fields as 
+	zero-length strings. 
+BUG: sending ICONV charset name, not TDS name in 
+	5.0 login packet.  
+	
 Must be fixed:
 . ctlib parameters, handle all case even in tds7
   . handle and test prepared query

